<?php
/**
 * Easy Update by DAIGO
 *
 * 
 * 
 * 
 * 
 * Released under the GNU General Public License
 *
 * 
 * 
 */

require('includes/application_top.php');

// remove this if you're not using this plugin
require('includes/languages/english/back_in_stock_notifications.php'); 



if(isset($_POST['confirmed']) && $_POST['confirmed'] == 0) // show confirmation page
  {
    $updated = array();
    if(isset($_POST['update_all'])) // multiple items
      {
	$selectql = $db->Execute("SELECT p.products_id, p.products_quantity, p.products_image, p.products_model, pd.products_name FROM products p LEFT JOIN products_description pd ON p.products_id = pd.products_id WHERE p.products_status = 1");
	while(!$selectql->EOF)
	  {
	    if($_POST['qty'][$selectql->fields['products_id']] != $selectql->fields['products_quantity']){
	      $updated[$selectql->fields['products_id']] = array(
					      'name' => stripslashes($selectql->fields['products_name']),
					      'model' => stripslashes($selectql->fields['products_model']),
					      'qty' => (int)$_POST['qty'][$selectql->fields['products_id']],
					      'img' => stripslashes($selectql->fields['products_image']),
					      'notification_subscribed' => ''
					      );
		}
	    $selectql->MoveNext();
	  }
      }
    else
      {
	foreach($_POST['update'] as $pid=>$nonce) // there will only ever be one
	  {
	    $selectql = $db->Execute("SELECT p.products_id, p.products_quantity, p.products_image, p.products_model, pd.products_name FROM products p LEFT JOIN products_description pd ON p.products_id = pd.products_id WHERE p.products_id = " . (int)$pid);
	    $updated[$pid] = array(
				   'name' => stripslashes($selectql->fields['products_name']),
				   'model' => stripslashes($selectql->fields['products_model']),
				   'qty' => (int)$_POST['qty'][$selectql->fields['products_id']],
				   'img' => stripslashes($selectql->fields['products_image']),
				   'notification_subscribed' => ''
				   );
	  }
      }
    foreach($updated as $pid=>$info)
      {
	$emails = array();
	if($info['qty'] > 3)
	  {
	    $emails = get_notification_subscribed($pid);
	    foreach($emails as $key=>$value){
	      $updated[$pid]['notification_subscribed'] .= $value . "<br />";
	    }
	  }
      }
  }
elseif(isset($_POST['confirmed']) && $_POST['confirmed'] ==1) // show "done" page
  {
    require_once(DIR_FS_ADMIN . DIR_WS_FUNCTIONS . 'back_in_stock_notifications_functions.php');
    foreach($_POST['update'] as $pid=>$qty)
      {
	// get the old quantity for logging purposes
	$selectql = $db->Execute("SELECT products_quantity FROM products WHERE products_id = " . (int)$pid);
	
	$updateql = $db->Execute("UPDATE products SET products_quantity = " . (int)$qty . " WHERE products_id = " . (int)$pid);

	all_log('EZ Update', 'change stock', NULL, $pid, NULL, $selectql->fields['products_quantity'], $qty);
	if($qty > 3){
	  $emails = get_notification_subscribed($pid);
	  foreach($emails as $key=>$value){
	    all_log('EZ Update', 'send notification_email', NULL, $pid, NULL, $selectql->fields['products_quantity'], $qty, $value);
	  }
	  $send = sendBackInStockNotifications(false, $pid);
	}
      }
    zen_redirect('ez_update.php');
  }
else{       
  $all_products = array();
  
  // generate all useful stats (remove sections if you don't need them)
  
  $selectql = $db->Execute("SELECT p.products_id, p.products_quantity, p.products_model, pd.products_name  
FROM 
products p 
LEFT JOIN products_description pd on p.products_id = pd.products_id
WHERE products_status = 1");
  
  while(!$selectql->EOF){
    if($selectql->fields['products_id'] != '') {
      $all_products[$selectql->fields['products_id']] = array(
							      'products_name' => $selectql->fields['products_name'],
							      'products_model' => $selectql->fields['products_model'],
							      'products_quantity' => $selectql->fields['products_quantity'],
							      'ordered_not_shipped' => '0',
							      'notification_subscribed' =>0
							      );
    }
    $selectql->MoveNext();
  }
  
  
  // This is for calculate how many are order but not shipped. The order_status fields may be different so make sure to change them to whatever is considered "shipped" in your system.
  $selectql = $db->Execute("SELECT op.products_id, SUM(op.products_quantity) ons FROM orders_products op LEFT JOIN orders o ON o.orders_id = op.orders_id WHERE o.orders_status != 3 GROUP BY op.products_id");
  while(!$selectql->EOF){
    if($selectql->fields['ons'] > 0){
      $all_products[$selectql->fields['products_id']]['ordered_not_shipped'] = $selectql->fields['ons'];
    }
    $selectql->MoveNext();
  }
  
  
  // Remove this section if you are not using the back_in_stock_notification_manager plugin
  $selectql = $db->Execute("SELECT product_id, COUNT(product_id) bisns FROM back_in_stock_notification_subscriptions GROUP BY product_id");
  while(!$selectql->EOF){
    if($selectql->fields['bisns'] > 0 && is_array($all_products[$selectql->fields['product_id']])){
      $all_products[$selectql->fields['product_id']]['notification_subscribed'] = $selectql->fields['bisns'];
    }
    $selectql->MoveNext();
  }
  // remove up to here for back_in_stock_notification mod
}
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">


<script type="text/javascript" src="https://www.google.com/jsapi?key=YOUR_API_KEY"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.6.1/jquery.min.js"></script>
<script src="includes/javascript/jquery.tablesorter.min.js"></script>


<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<link rel="stylesheet" type="text/css" href="includes/cssjsmenuhover.css" media="all" id="hoverJS">
<link rel="stylesheet" type="text/css" href="includes/javascript/table_style.css" media="all" id="hoverJS">
<script language="javascript" src="includes/menu.js"></script>
<script language="javascript" src="includes/general.js"></script>
<script type="text/javascript">
<!--
function init()
{


  cssjsmenu('navbar');
  if (document.getElementById)
  {
    var kill = document.getElementById('hoverJS');
    kill.disabled = true;
  }
}
// -->

<?php 
if(!isset($_POST['confirmed'])){ ?>


$(document).ready(function() 
		  { 
		    $("#easy_table").tablesorter({sortList: [[5,1], [2,0]], widgets:['zebra']}); 
		  } 
		  ); 

<?php
}
?>
</script>
</head>
<body onLoad="init()">
<!-- header //-->
<div class="header_area">
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>

</div>
<!-- header_eof //-->

  <?php 
  if(isset($_POST['confirmed']) && $_POST['confirmed'] == 0)    {
    ?>
    <form action="ez_update.php" method="post">
    <br /><br /><br />The =following stocks will be updated: <br /><br />
    <?php
    foreach($updated as $pid=>$info){
      ?>
      <input type="hidden" name="update[<?php echo $pid; ?>]" value="<?php echo $info['qty'];?>" />
      <img src="../images/<?php echo $info['img']; ?>" />
      <br class="clearBoth"/>
      <?php echo $info['name'] . " - " . $info['model'] . " : " . $info['qty']; ?>
      <br class="clearBoth"/>
      <?php 
      if( $info['notification_subscribed'] != '')
	{
	  ?>
	  Confirmation emails will be sent to :	 <br /> <?php
	  echo $info['notification_subscribed'];
	}
      echo "<br /><br />";
    }
?>
<input type="hidden" name="confirmed" value="1" />
<input type="submit" name="confirm" value="Just do it!" />
</form>
<?    } // end confirmation screen
else
  {
?>
<form action="ez_update.php" method="post">  
<input type="hidden" name="confirmed" value="0" />
<table class="tablesorter" id="easy_table">
<thead>
<tr>
  <th>product id</th>
  <th>product name - product model</th>
  <th>product stock</th>
  <th>change stock to:</th>
  <th>ordered not shipped</th>
  <th>notification subscribed</th>
  <th>update</th>
</tr>
</thead>
<tbody>
<?php
  foreach($all_products as $pid=>$info)
{
  $zebra = '';
  if($info['products_quantity'] -3 <= 0)
    $zebra = ' class="red" '
  ?>
      <tr <?php echo $zebra; ?>>
  <td><?php echo $pid; ?></td>
  <td><?php 
  echo $info['products_name'];
  if( $info['products_model'] != '')
    echo ' - ' . $info['products_model'];
  ?> </td>
  <td><?php echo $info['products_quantity']; ?></td>
  <td><input type="text" name="qty[<?php echo $pid; ?>]" value="<?php echo $info['products_quantity']; ?>" /></td>
  <td><?php echo $info['ordered_not_shipped']; ?></td>
  <td><?php echo $info['notification_subscribed']; ?></td>
  <td><input type="submit" name="update[<?php echo $pid; ?>]" value="Update" /></td>
</tr>
<?
}
?>
</tbody>
</table>
<input type="submit" name="update_all" value="Update All"/>
</form>
<?php
    } // end non-confirmation screen
?>
<!-- footer //-->
<div class="footer-area">
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
</div>
<!-- footer_eof //-->
<br />
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
